Bug 121376 - Volume control decrements step-by-step
Volume control decrements step-by-step
Product: Fedora
Classification: Fedora
Component: gnome-applets (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
: 120861 121797 123961 127205 127598 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2004-04-20 17:00 EDT by Mikael Carneholm
Modified: 2014-01-29 23:16 EST (History)
14 users (show)

See Also:
Fixed In Version: gnome-applets-
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-07-27 03:40:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mikael Carneholm 2004-04-20 17:00:07 EDT
Description of problem:
If I set the volume control to control the Master channel and drag the
bar to any position above the absolute bottom, it starts moving down
step-by-step (approx. two "ticks" per second). It's as if it was a
rubber band attached to it that pulls it down. Very strange.

I have to set it to control the "Volume" (channel?) to make it stay
up, but this setting isn't remembered between sessions.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Click on speaker icon in the tray
2. Drag the knob/bar to desired level
Actual results:
The knob/bar starts moving downwards

Expected results:
It should stay where you leave it

Additional info:
Hardware setup: Shuttle ST62K, ATI RS300 chipset
ALSA version: alsa-lib-1.0.3a-1, alsa-utils-1.0.3-1
Comment 1 Mike Becker 2004-04-24 19:53:54 EDT
This problem has reared it's ugly head here on this Gateway M500
laptop in FC2-T3 as well...  When I first log into Gnome the login
sound file is played but there after I have no sound.  The sound chip
used is the ALI-5451.

Also, I have the same bug/problem as described in bug #119732 in that
when I open the volume applet there appears two mixer tabs with one
being ALSA Mixer and the other OSS Mixer.

BTW - the sound plays normally in the KDE desktop!
Comment 2 Mike Becker 2004-04-24 20:31:21 EDT
Next time I will double-check everything before I say word -- I no
longer have any sound working in KDE either!!!  Everything looks
normal, Kmix shows I should have sound at my disposal, but nothing is

Comment 3 Demond James 2004-05-03 08:48:43 EDT
Same thing here with a SIS7012 sound chipset.

I can set the volume level to max and it will stay there and sound
levels ARE restored after reboot.  However, if I do not set the volume
level to maximum in the panel applet, it gradually lowers until it’s
at 0 and the master level will be muted upon reboot because that's
what was stored at shutdown.  I can set the master volume level to
whatever I want if I bring up the mixer and adjust it there and it
retains that level.
Comment 4 Demond James 2004-05-07 12:39:24 EDT
This problem happens in FC2-test3 with a fresh install.  Could someone
change the version to test3?
Comment 5 Adam Bowns 2004-05-19 20:50:33 EDT
Same problem with FC2 final. I also have 2 mixers as mentioned above.
Sound card is soundblaster live (emu10k1).
Comment 6 Elijah Newren 2004-05-22 12:05:42 EDT
This is a duplicate of the upstream
http://bugzilla.gnome.org/show_bug.cgi?id=139961.  I have updated rpms
available at http://www.math.utah.edu/~newren/linux/random/download/.
 (I created the rpms by merely taking the 2.6.1 tarball of
gnome-applets from ftp.gnome.org and using it in place of the 2.6.0
tarball in the fedora srpm).  The rpms at that site fix the problem
for me.  :)
Comment 7 Carwyn Edwards 2004-05-25 16:05:49 EDT
I can verify this problem in FC2 Final on SB Live. I can also confirm
that the fix mentioned in comment #6 works.
Comment 8 Miloslav Trmac 2004-07-11 09:40:42 EDT
*** Bug 123961 has been marked as a duplicate of this bug. ***
Comment 9 Miloslav Trmac 2004-07-11 09:41:13 EDT
*** Bug 127598 has been marked as a duplicate of this bug. ***
Comment 10 Justin Georgeson 2004-07-12 16:57:11 EDT
Elijah's RPM from comment #6 works for me, too.
Comment 11 Mark McLoughlin 2004-07-19 10:23:59 EDT
*** Bug 121061 has been marked as a duplicate of this bug. ***
Comment 12 Mark McLoughlin 2004-07-19 10:25:12 EDT
*** Bug 120861 has been marked as a duplicate of this bug. ***
Comment 13 Mark McLoughlin 2004-07-19 10:28:44 EDT
*** Bug 121797 has been marked as a duplicate of this bug. ***
Comment 14 Alexandre Oliva 2004-07-20 04:07:35 EDT
Problem still present in FC3test1.
Comment 15 Mark McLoughlin 2004-07-21 10:32:47 EDT
I'm going to pull in gnome-applets-2.6.2 in an FC2 update soon. It'll
go into rawhide too.
Comment 16 Mark McLoughlin 2004-07-21 10:33:21 EDT
*** Bug 127205 has been marked as a duplicate of this bug. ***
Comment 17 Mark McLoughlin 2004-07-22 12:24:01 EDT
Just pushed a testing update which should fix this:


Appreciate if someone could try it out and confirm.
Comment 18 Carwyn Edwards 2004-07-22 13:14:00 EDT
I can confirm that gnome-applets- fixes this problem on FC2.

Anything in particular you want me to try? The "Steps to reproduce" in
the original bug report no longer reproduce it :-)
Comment 19 Mark McLoughlin 2004-07-23 05:02:47 EDT
Thanks for testing :-)

And Elijah - thanks for tracking down the upstream bug and making a
test RPM with the fix available. Very helpful ...
Comment 20 Mark McLoughlin 2004-07-27 03:40:01 EDT
Okay, gnome-applets- has been pushed to FC2 updates
Comment 21 Matt Wagenknecht 2004-07-27 12:08:00 EDT
Applying gnome-applets- this morning via up2date has caused
this issue to appear for me.. it was working fine before. 

running FC2

Note You need to log in before you can comment on or make changes to this bug.